Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.api.observation
Interface Event.Sequencing

Enclosing interface:
  Event

    public static interface Event.Sequencing

Interface which contains the constants for sequencing events.

Field Summary
`static int` | `ALL` Convenience event code for listeners which want to listen both for `NODE_SEQUENCED` and `NODE_SEQUENCING_FAILURE` events.
`static int` | `NODE_SEQUENCED` Generated on persist when a node is successfully sequenced.
`static int` | `NODE_SEQUENCING_FAILURE` Generated when the sequencing of an input node fails.
`static String` | `OUTPUT_PATH` Constant under which the configured output path of the sequencer is set in the event info map.
`static String` | `SELECTED_PATH` Constant under which the path resolved by the sequencer at the beginning of the sequencing process is set in the event info map.
`static String` | `SEQUENCED_NODE_ID` Constant under which the id of the node which triggered the sequencing, in the case of an `NODE_SEQUENCED` event, will be found in the event info map
`static String` | `SEQUENCED_NODE_PATH` Constant under which the path of the node which triggered the sequencing, in the case of an `NODE_SEQUENCED` event, will be found in the event info map
`static String` | `SEQUENCER_NAME` Constant under which the sequencer id (as configured) is set in the event info map.
`static String` | `SEQUENCING_FAILURE_CAUSE` Constant under which the `Throwable` object, in case of an `NODE_SEQUENCING_FAILURE` event, will be found in the event info map.
`static String` | `USER_ID` Constant under which the user id (username) of the user which triggered the sequencing is set in the event info map.

Field Detail

### SEQUENCED_NODE_PATH

    static final String SEQUENCED_NODE_PATH

  Constant under which the path of the node which triggered the sequencing, in the case of an `NODE_SEQUENCED` event, will be found in the event info map

  See Also:
    Constant Field Values

### SEQUENCED_NODE_ID

    static final String SEQUENCED_NODE_ID

  Constant under which the id of the node which triggered the sequencing, in the case of an `NODE_SEQUENCED` event, will be found in the event info map

  See Also:
    Constant Field Values

### SEQUENCER_NAME

    static final String SEQUENCER_NAME

  Constant under which the sequencer id (as configured) is set in the event info map.

  See Also:
    Constant Field Values

### USER_ID

    static final String USER_ID

  Constant under which the user id (username) of the user which triggered the sequencing is set in the event info map.

  See Also:
    Constant Field Values

### SELECTED_PATH

    static final String SELECTED_PATH

  Constant under which the path resolved by the sequencer at the beginning of the sequencing process is set in the event info map.

  See Also:
    Constant Field Values

### OUTPUT_PATH

    static final String OUTPUT_PATH

  Constant under which the configured output path of the sequencer is set in the event info map.

  See Also:
    Constant Field Values

### SEQUENCING_FAILURE_CAUSE

    static final String SEQUENCING_FAILURE_CAUSE

  Constant under which the `Throwable` object, in case of an `NODE_SEQUENCING_FAILURE` event, will be found in the event info map.

  See Also:
    Constant Field Values

### NODE_SEQUENCED

    static final int NODE_SEQUENCED

  Generated on persist when a node is successfully sequenced.
  - `Event.getPath()` returns the absolute path of the node that was added due to sequencing.
  - `Event.getIdentifier()` returns the identifier of the node that was sequenced.
  - `Event.getInfo()` returns an `Map` object, which under the `SEQUENCED_NODE_PATH` key has the absolute path of the Node which triggered the sequencing and under the `SEQUENCED_NODE_ID` key has the identifier of the node which triggered the sequencing

  See Also:
    Constant Field Values

### NODE_SEQUENCING_FAILURE

    static final int NODE_SEQUENCING_FAILURE

  Generated when the sequencing of an input node fails.
  - `Event.getPath()` returns the absolute path of the input node that triggered the sequencing.
  - `Event.getIdentifier()` returns the identifier of the input node that triggered the sequencing
  - `Event.getInfo()` returns an `Map` object, which under the `SEQUENCING_FAILURE_CAUSE` key contains the `Throwable` instance which caused the failure.

  See Also:
    Constant Field Values

### ALL

    static final int ALL

  Convenience event code for listeners which want to listen both for `NODE_SEQUENCED` and `NODE_SEQUENCING_FAILURE` events.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.